Package org.gdal.ogr

## Class FieldDefn

- java.lang.Object
- - org.gdal.ogr.FieldDefn

-     public class FieldDefn
      extends java.lang.Object

  Definition of an attribute of a FeatureDefn.

  The FieldDefn class is a binding for the C++ OGRFieldDefn class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldDefn​()` | Constructor.
    `FieldDefn​(java.lang.String name)` | Constructor.
    `FieldDefn​(java.lang.String name, int field_type)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `GetDefault​()` |
    `int` | `GetFieldType​()` | Return the field type
    `java.lang.String` | `GetFieldTypeName​(int type)` | Fetch human readable name for a field type.
    `int` | `GetJustify​()` | Get the justification for this field.
    `java.lang.String` | `GetName​()` | Fetch name of this field.
    `java.lang.String` | `GetNameRef​()` | Fetch name of this field.
    `int` | `GetPrecision​()` | Get the formatting precision for this field.
    `int` | `GetSubType​()` |
    `java.lang.String` | `GetTypeName​()` | Fetch human readable name for the field
    `int` | `GetWidth​()` | Get the formatting width for this field.
    `int` | `hashCode​()` |
    `int` | `IsDefaultDriverSpecific​()` |
    `int` | `IsIgnored​()` | Return whether this field should be omitted when fetching features.
    `int` | `IsNullable​()` |
    `void` | `SetDefault​(java.lang.String pszValue)` |
    `void` | `SetIgnored​(int bIgnored)` | Set whether this field should be omitted when fetching features.
    `void` | `SetJustify​(int justify)` | Set the justification for this field.
    `void` | `SetName​(java.lang.String name)` | Reset the name of this field.
    `void` | `SetNullable​(int bNullable)` |
    `void` | `SetPrecision​(int precision)` | Set the formatting precision for this field in characters.
    `void` | `SetSubType​(int type)` |
    `void` | `SetType​(int type)` | Set the type of this field.
    `void` | `SetWidth​(int width)` | Set the formatting width for this field in characters.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDefn

          public FieldDefn​(java.lang.String name,
                           int field_type)

      Constructor.
      Parameters:
        `name` - the name of the new field.
        `field_type` - the type of the new field.

    - #### FieldDefn

          public FieldDefn​(java.lang.String name)

      Constructor.

      The new field will be of type OFTString

      Parameters:
        `name` - the name of the new field.
      Since:
        Java bindings 1.7.0

    - #### FieldDefn

          public FieldDefn​()

      Constructor.

      The new field will be named "unnamed" and of type OFTString

      Since:
        Java bindings 1.7.0

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName​()

      Fetch name of this field.
      Returns:
        the name of the field

    - #### GetNameRef

          public java.lang.String GetNameRef​()

      Fetch name of this field.
      Returns:
        the name of the field

    - #### SetName

          public void SetName​(java.lang.String name)

      Reset the name of this field.
      Parameters:
        `name` - the new name to apply.

    - #### GetFieldType

          public int GetFieldType​()

      Return the field type
      Returns:
        the field type

    - #### SetType

          public void SetType​(int type)

      Set the type of this field.

      This should never be done to an FieldDefn that is already part of an FeatureDefn.

      Parameters:
        `type` - the new field type.

    - #### GetSubType

          public int GetSubType​()

    - #### SetSubType

          public void SetSubType​(int type)

    - #### GetJustify

          public int GetJustify​()

      Get the justification for this field.
      Returns:
        the justification.

    - #### SetJustify

          public void SetJustify​(int justify)

      Set the justification for this field.
      Parameters:
        `justify` - the new justification.

    - #### GetWidth

          public int GetWidth​()

      Get the formatting width for this field.
      Returns:
        the width, zero means no specified width.

    - #### SetWidth

          public void SetWidth​(int width)

      Set the formatting width for this field in characters.
      Parameters:
        `width` - the new width.

    - #### GetPrecision

          public int GetPrecision​()

      Get the formatting precision for this field.

      This should normally be zero for fields of types other than OFTReal.

      Returns:
        the precision.

    - #### SetPrecision

          public void SetPrecision​(int precision)

      Set the formatting precision for this field in characters.

      This should normally be zero for fields of types other than OFTReal.

      Parameters:
        `precision` - the new precision.

    - #### GetTypeName

          public java.lang.String GetTypeName​()

      Fetch human readable name for the field
      Returns:
        field type name

    - #### GetFieldTypeName

          public java.lang.String GetFieldTypeName​(int type)

      Fetch human readable name for a field type.
      Parameters:
        `type` - the field type to get name for.
      Returns:
        field type name

    - #### IsIgnored

          public int IsIgnored​()

      Return whether this field should be omitted when fetching features.
      Returns:
        ignore state (1 if ignored, 0 otherwise)
      Since:
        OGR 1.8.0

    - #### SetIgnored

          public void SetIgnored​(int bIgnored)

      Set whether this field should be omitted when fetching features.
      Parameters:
        `bIgnored` - ignore state (1 to ignore, 0 otherwise)
      Since:
        OGR 1.8.0

    - #### IsNullable

          public int IsNullable​()

    - #### SetNullable

          public void SetNullable​(int bNullable)

    - #### GetDefault

          public java.lang.String GetDefault​()

    - #### SetDefault

          public void SetDefault​(java.lang.String pszValue)

    - #### IsDefaultDriverSpecific

          public int IsDefaultDriverSpecific​()